/*
 * Copyright 2007, The Android Open Source Project
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
#define LOG_TAG "Cookies"

#include "config.h"
#include "JavaSharedClient.h"
#include "CookieClient.h"

using namespace android;

namespace WebCore {

    class Document;

    void setCookies(Document* , const KURL& url, const KURL& policyBaseURL, const String& value)
    {
        if (JavaSharedClient::GetCookieClient())
            JavaSharedClient::GetCookieClient()->setCookies(url, policyBaseURL, value);
    }

    String cookies(const Document* , const KURL& url)
    { 
        if (JavaSharedClient::GetCookieClient())
            return JavaSharedClient::GetCookieClient()->cookies(url);
        return String();
    }

    bool cookiesEnabled(const Document* )
    {
        if (JavaSharedClient::GetCookieClient())
            return JavaSharedClient::GetCookieClient()->cookiesEnabled();
        return false;
    }

}

